io.vertx.rxjava.mqtt.messages

## Class MqttConnAckMessage

- java.lang.Object
- - io.vertx.rxjava.mqtt.messages.MqttConnAckMessage

-     public class MqttConnAckMessage
      extends Object

  Represents an MQTT CONNACK message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MqttConnAckMessage>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MqttConnAckMessage(MqttConnAckMessage delegate)`
    `MqttConnAckMessage(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.netty.handler.codec.mqtt.MqttConnectReturnCode` | `code()`
    `static MqttConnAckMessage` | `create(io.netty.handler.codec.mqtt.MqttConnectReturnCode code, boolean isSessionPresent)` Create a concrete instance of a Vert.x connack message
    `static MqttConnAckMessage` | `create(io.netty.handler.codec.mqtt.MqttConnectReturnCode code, boolean isSessionPresent, io.netty.handler.codec.mqtt.MqttProperties properties)` Create a concrete instance of a Vert.x connack message
    `boolean` | `equals(Object o)`
    `MqttConnAckMessage` | `getDelegate()`
    `int` | `hashCode()`
    `boolean` | `isSessionPresent()`
    `static MqttConnAckMessage` | `newInstance(MqttConnAckMessage arg)`
    `io.netty.handler.codec.mqtt.MqttProperties` | `properties()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MqttConnAckMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttConnAckMessage

          public MqttConnAckMessage(MqttConnAckMessage delegate)

    - #### MqttConnAckMessage

          public MqttConnAckMessage(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MqttConnAckMessage getDelegate()

    - #### create

          public static MqttConnAckMessage create(io.netty.handler.codec.mqtt.MqttConnectReturnCode code,
                                                  boolean isSessionPresent)

      Create a concrete instance of a Vert.x connack message
      Parameters:
        `code` - return code from the connection request
        `isSessionPresent` - is an old session is present
      Returns:

    - #### code

          public io.netty.handler.codec.mqtt.MqttConnectReturnCode code()

      Returns:
        return code from the connection request

    - #### isSessionPresent

          public boolean isSessionPresent()

      Returns:
        is an old session is present

    - #### create

          public static MqttConnAckMessage create(io.netty.handler.codec.mqtt.MqttConnectReturnCode code,
                                                  boolean isSessionPresent,
                                                  io.netty.handler.codec.mqtt.MqttProperties properties)

      Create a concrete instance of a Vert.x connack message
      Parameters:
        `code` - return code from the connection request
        `isSessionPresent` - is an old session is present
        `properties` - MQTT properties
      Returns:

    - #### properties

          public io.netty.handler.codec.mqtt.MqttProperties properties()

    - #### newInstance

          public static MqttConnAckMessage newInstance(MqttConnAckMessage arg)

Copyright © 2022 Eclipse. All rights reserved.